import PropTypes from 'prop-types';
import { Component } from 'react';
import { CommonThemeProps } from '../types';
import { CollapseProps as NextCollapseProps } from '@alifd/next/types/collapse';
interface CollapseProps extends NextCollapseProps, CommonThemeProps {
    arrowAlign?: 'left' | 'right';
}
declare class Collapse extends Component<CollapseProps> {
    static Panel: typeof import("@alifd/next/types/collapse").Panel;
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare const _default: typeof Collapse;
export default _default;
